Get AI review agent
GET
/api/v1/workspaces/{workspace_id}/ai_reviewers/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_reviewers/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_reviewers/1 \ --header 'Authorization: Bearer <token>'Retrieves a single AI review agent by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
AI review agent ID
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
review_instructions
required
string
Example
{ "id": 12345, "name": "My AI Agent", "review_instructions": "My AI Agent is a helpful assistant that can help with tasks."}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}